Package org.silverpeas.mobile.shared.dto

## Class DetailUserDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.DetailUserDTO

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `FullUserDTO`

      public class DetailUserDTO
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DetailUserDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addProperty​(String key, String value)` |
    `String` | `getAvatar()` |
    `String` | `getCellularPhoneNumber()` |
    `boolean` | `getConnected()` |
    `String` | `geteMail()` |
    `String` | `getFaxPhoneNumber()` |
    `String` | `getFirstName()` |
    `String` | `getId()` |
    `String` | `getLanguage()` |
    `String` | `getLastName()` |
    `String` | `getPhoneNumber()` |
    `List<PropertyDTO>` | `getProperties()` |
    `String` | `getSessionKey()` |
    `String` | `getStatus()` |
    `String` | `getToken()` |
    `String` | `getZone()` |
    `boolean` | `isLdap()` |
    `boolean` | `isNotificationBox()` |
    `void` | `setAvatar​(String avatar)` |
    `void` | `setCellularPhoneNumber​(String cellularPhoneNumber)` |
    `void` | `setConnected​(boolean connected)` |
    `void` | `seteMail​(String EMail)` |
    `void` | `setFaxPhoneNumber​(String faxPhoneNumber)` |
    `void` | `setFirstName​(String firstName)` |
    `void` | `setId​(String id)` |
    `void` | `setLanguage​(String language)` |
    `void` | `setLastName​(String LastName)` |
    `void` | `setLdap​(boolean ldap)` |
    `void` | `setNotificationBox​(boolean notificationBox)` |
    `void` | `setPhoneNumber​(String phoneNumber)` |
    `void` | `setProperties​(List<PropertyDTO> properties)` |
    `void` | `setSessionKey​(String sessionKey)` |
    `void` | `setStatus​(String status)` |
    `void` | `setToken​(String token)` |
    `void` | `setZone​(String zone)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DetailUserDTO

          public DetailUserDTO()

  - ### Method Detail

    - #### addProperty

          public void addProperty​(String key,
                                  String value)

    - #### setProperties

          public void setProperties​(List<PropertyDTO> properties)

    - #### getProperties

          public List<PropertyDTO> getProperties()

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### getLastName

          public String getLastName()

    - #### setLastName

          public void setLastName​(String LastName)

    - #### seteMail

          public void seteMail​(String EMail)

    - #### geteMail

          public String geteMail()

    - #### getFirstName

          public String getFirstName()

    - #### setFirstName

          public void setFirstName​(String firstName)

    - #### getAvatar

          public String getAvatar()

    - #### setAvatar

          public void setAvatar​(String avatar)

    - #### getPhoneNumber

          public String getPhoneNumber()

    - #### setPhoneNumber

          public void setPhoneNumber​(String phoneNumber)

    - #### getCellularPhoneNumber

          public String getCellularPhoneNumber()

    - #### setCellularPhoneNumber

          public void setCellularPhoneNumber​(String cellularPhoneNumber)

    - #### getFaxPhoneNumber

          public String getFaxPhoneNumber()

    - #### setFaxPhoneNumber

          public void setFaxPhoneNumber​(String faxPhoneNumber)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus​(String status)

    - #### setLanguage

          public void setLanguage​(String language)

    - #### getLanguage

          public String getLanguage()

    - #### getToken

          public String getToken()

    - #### setToken

          public void setToken​(String token)

    - #### setConnected

          public void setConnected​(boolean connected)

    - #### getConnected

          public boolean getConnected()

    - #### setZone

          public void setZone​(String zone)

    - #### getZone

          public String getZone()

    - #### setSessionKey

          public void setSessionKey​(String sessionKey)

    - #### getSessionKey

          public String getSessionKey()

    - #### setNotificationBox

          public void setNotificationBox​(boolean notificationBox)

    - #### isNotificationBox

          public boolean isNotificationBox()

    - #### setLdap

          public void setLdap​(boolean ldap)

    - #### isLdap

          public boolean isLdap()